Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 16384 - pcmcia-cs will not merge when using ck-sources
Summary: pcmcia-cs will not merge when using ck-sources
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: x86 Linux
: High major (vote)
Assignee: Peter Johanson (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-25 21:26 UTC by Michael Brailsford
Modified: 2003-11-05 15:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
The .config file to reproduce the problem. (.config,21.30 KB, text/plain)
2003-02-25 21:27 UTC, Michael Brailsford
Details
The output from running 'emerge pcmcia-cs' (merge_failure.output,6.01 KB, text/plain)
2003-02-25 21:32 UTC, Michael Brailsford
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Brailsford 2003-02-25 21:26:05 UTC
Following the pcmcia howto, I disabled CONFIG_PCMCIA in my .config in
/usr/src/linux-2.4.20-ck2.  I made and installed the kernel, rebooted using that
kernel and attempted to merge pcmcia-cs.  I recieved warnings that CONFIG_HZ was
undeclared in cs.c.  I compared my .config with that of a freind who also uses
gentoo and who uses wireless.  He also had CONFIG_PCMCIA disabled in his
.config.  His kernel works fine, and he has been able to merge pcmcia-cs with
the kernel which corresponds to his .config.  There was no CONFIG_HZ in his
.config, but there was one in mine.

Reproducible: Always
Steps to Reproduce:
1.disable CONFIG_PCMCIA in the kernel .config for ck-sources.
2.make the kernel, install, and reboot using that kernel.
3.run 'emerge pcmcia-cs'

Actual Results:  
compilation of pcmcia-cs failed

Expected Results:  
it should have succeeded

[root]# emerge info
Portage 2.0.46-r9 (default-x86-1.4, gcc-3.2.1, glibc-2.3.1-r2)
=================================================================
System uname: 2.4.20-ck2 i686 mobile AMD Athlon(tm) XP 1400+ 
GENTOO_MIRRORS="ftp://ftp.gtlib.cc.gatech.edu/pub/gentoo
http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo"
CONFIG_PROTECT="/etc /var/qmail/control /usr/kde/2/share/config
/opt/jakarta/tomcat/conf /usr/X11R6/lib/X11/xkb /usr/kde/3/share/config
/usr/share/config"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
PORTDIR="/usr/portage"
DISTDIR="/usr/portage/distfiles"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR_OVERLAY=""
USE="x86 cups mikmod mmx zlib gtkhtml gdbm berkdb bonobo guile esd X gtk -gnome
-kde -alsa ruby python perl jpeg gif png dvd mpeg truetype xml xml2 tiff oss apm
3dnow xmms oggvorbis gpm imlib java libwww libg++ motif ncurses nls opengl pam
pdflib -qt -qtmt quicktime readline sdl slang spell ssl svga tcpd xv pcmcia pnp
cdr fbcon -arts tcltk avi ggi encode snmp crypt imap ldap maildir mbox mozilla
tetex plotutils -mysql postgres odbc acpi4linux decss threads"
COMPILER="gcc3"
CHOST="i686-pc-linux-gnu"
CFLAGS="-mcpu=athlon-xp -O3 -pipe -funroll-loops -fforce-addr
-fomit-frame-pointer -frerun-cse-after-loop -frerun-loop-opt -falign-functions=4"
CXXFLAGS="-mcpu=athlon-xp -O3 -pipe -funroll-loops -fforce-addr
-fomit-frame-pointer -frerun-cse-after-loop -frerun-loop-opt -falign-functions=4"
ACCEPT_KEYWORDS="x86"
MAKEOPTS="-j1"
AUTOCLEAN="no"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
FEATURES="sandbox ccache"
Comment 1 Michael Brailsford 2003-02-25 21:27:11 UTC
Created attachment 8731 [details]
The .config file to reproduce the problem.
Comment 2 Michael Brailsford 2003-02-25 21:32:12 UTC
Created attachment 8732 [details]
The output from running 'emerge pcmcia-cs'

This is the output from the failed merge.
Comment 3 Martin Holzer (RETIRED) gentoo-dev 2003-02-26 14:59:49 UTC
Brandon: any changed with/in the kernel that does this ?
Comment 4 Bob Johnson (RETIRED) gentoo-dev 2003-05-18 17:12:41 UTC
the ck kernels are not supported by the x86-kernel team as  
we do not build the patches for them. 
 
They are supplied for user convienence. 
This goes for any non-gentoo kernel. 
(2.5.XX, -aa,-ac,-ck,-mm,wolk,redhat,vanilla) 
Comment 5 Aron Griffis (RETIRED) gentoo-dev 2003-11-05 15:59:49 UTC
Considering Bob's post, I'm sure this bug can be closed.